package IMPL::Web::Handler::JSONView;
use strict;
use JSON;

use IMPL::lang qw(:declare :constants);
use IMPL::declare {
	base => {
		'IMPL::Object' => undef,
		'IMPL::Object::Serializable' => undef,
		'IMPL::Object::Autofill' => '@_'
	}
};

sub Invoke {
	my ($this,$action,$next) = @_;
	
	my $result = $next->($action);
	$result = [$result] unless ref $result;
	
	$action->response->contentType('text/javascript');
    
    my $hout = $action->response->streamBody;
    
    print $hout JSON->new->utf8->pretty->encode($result);
}

1;

__END__

=pod

=head1

=cut